## mimetreeparser 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.5.3")
project(MimeTreeParserNG VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)
set(QT_REQUIRED_VERSION "6.7.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMQmlModule)
include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
autotests/*.cpp
autotests/*.h
src/*.cpp
src/*.h
examples/*.cpp
examples/*.h	
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(ECMAddTests)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
autotests/*.cpp
autotests/*.h
src/*.cpp
src/*.h
examples/*.cpp
examples/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(KPIM_MIME_VERSION "6.5.3")
set(KPIM_LIBKLEO_VERSION "6.5.3")
set(KPIM_MBOX_VERSION "6.5.3")
set(GPGME_REQUIRED_VERSION "1.23.2")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSERNG
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    SOVERSION 6
)

configure_file(mimetreeparserng-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h @ONLY)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(Qt6Gui ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt6PrintSupport ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KPIM_MBOX_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${KPIM_LIBKLEO_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(Qt6Quick ${QT_REQUIRED_VERSION} CONFIG)
find_package(Qt6Widgets ${QT_REQUIRED_VERSION} CONFIG)

if(BUILD_TESTING)
    find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(examples)
    add_subdirectory(autotests)
endif()

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore
   COMPONENT Devel
)
ecm_qt_install_logging_categories(
    EXPORT MIMETREEPARSERNG
    FILE mimetreeparser.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSER_CORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_core_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    SOVERSION 6
)

# public dynamic library


add_library(KPim6MimeTreeParserCore)
add_library(KPim6::MimeTreeParserCore
    ALIAS KPim6MimeTreeParserCore
)

ecm_qt_declare_logging_category(KPim6MimeTreeParserCore
    HEADER mimetreeparser_core_debug.h
    IDENTIFIER MIMETREEPARSER_CORE_LOG
    CATEGORY_NAME org.kde.pim.mimetreeparser.core
    DESCRIPTION "mimetreeparser (pim lib)"
    EXPORT MIMETREEPARSERNG
)

target_sources(KPim6MimeTreeParserCore PRIVATE
     errors.h
     attachmentmodel.h
     bodypartformatter.h
     bodypartformatterbasefactory.h
     bodypartformatterbasefactory_p.h
     cryptohelper.h
     enums.h
     fileopener.h
     htmlutils.h
     messageparser.h
     messagepart.h
     objecttreeparser.h
     partmetadata.h
     partmodel.h
     urlhandler.h
     utils.h
     attachmentmodel.cpp
     bodypartformatter.cpp
     bodypartformatter_impl.cpp
     bodypartformatterbasefactory.cpp
     cryptohelper.cpp
     fileopener.cpp
     htmlutils.cpp
     messageparser.cpp
     messagepart.cpp
     objecttreeparser.cpp
     partmodel.cpp
     urlhandler.cpp
     utils.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6MimeTreeParserCore PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPim6MimeTreeParserCore BASE_NAME mimetreeparser_core)


target_include_directories(KPim6MimeTreeParserCore
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore>")

target_link_libraries(KPim6MimeTreeParserCore
PUBLIC
    KPim6::Mime
    KPim6::Libkleo
    Gpgmepp
    Qt::Gui
PRIVATE
    KPim6::Mbox
    KF6::I18n
)

set_target_properties(KPim6MimeTreeParserCore PROPERTIES
    VERSION ${MIMETREEPARSERNG_VERSION}
    SOVERSION ${MIMETREEPARSERNG_SOVERSION}
    EXPORT_NAME MimeTreeParserCore
)

ecm_generate_pri_file(BASE_NAME MimeTreeParserCore
    LIB_NAME KPim6MimeTreeParserCore
    DEPS "MimeTreeParserCore" 
    FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(TARGETS
    KPim6MimeTreeParserCore
    EXPORT KPim6MimeTreeParserCoreTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(MimeTreeParserCore_CamelCase_HEADERS
    HEADER_NAMES
        AttachmentModel
        CryptoHelper
        Errors
        FileOpener
        MessageParser
        MessagePart
        ObjectTreeParser
        PartModel
        PartMetaData
        Enums
        UrlHandler
    REQUIRED_HEADERS MimeTreeParserCore_HEADERS
    PREFIX MimeTreeParserCore
)

install(FILES
    ${MimeTreeParserCore_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore/MimeTreeParserCore
    COMPONENT Devel
)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_core_export.h
    ${MimeTreeParserCore_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore/mimetreeparsercore
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6MimeTreeParserCore_QCH
        NAME MimeTreeParserCore
        BASE_NAME KPim6MimeTreeParserCore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        # using only public headers, to cover only public API
        SOURCES ${MimeTreeParserCore_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MIMETREEPARSERCORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MimeTreeParserCore")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MimeTreeParserCore_QCH
        FILE KPim6MimeTreeParserCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MimeTreeParserCoreQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMimeTreeParserCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim6MimeTreeParserCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MimeTreeParserCoreTargets.cmake
    NAMESPACE KPim6::
)

=== debian/changelog ===
mimetreeparser (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:04 +0100

=== debian/control ===
Source: mimetreeparser
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               gpg-agent <!nocheck>,
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6calendarcore-dev (>= 6.14.0~),
# remove libkf6config-dev after it's been added to libkf6colorscheme-dev
               libkf6config-dev,
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkleo-dev (>= 4:25.08.3~),
               libkmbox-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libxkbcommon-dev,
               qml6-module-org-kde-kirigami,
               qml6-module-qtwebengine [amd64 arm64 armhf i386],
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/mimetreeparser
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
Rules-Requires-Root: no

Package: libmimetreeparser-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: MIME tree parser - data files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the data files.

Package: libkpim6mimetreeparsercore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the core library.

Package: libkpim6mimetreeparserwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: widgets library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the widgets library.

Package: libmimetreeparser-dev
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-dev (>= 6.14.0~),
         libkmbox-dev (>= 25.08.3~),
         libkmime-dev (>= 25.08.3~),
         libkpim6mimetreeparsercore6 (= ${binary:Version}),
         libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
         ${misc:Depends},
Description: MIME tree parser - development files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the development files.
Section: libdevel

Package: qml6-module-org-kde-mimetreeparser
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib := $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## mimetreeparser 25.08.3+p24.04+vunstable+git20251204.0616

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.19.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -15,7 +15,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
 )
 set(QT_REQUIRED_VERSION "6.7.0")
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -28,13 +28,14 @@
 include(ECMSetupVersion)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
-autotests/*.cpp
-autotests/*.h
-src/*.cpp
-src/*.h
-examples/*.cpp
-examples/*.h	
+file(
+    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
+    autotests/*.cpp
+    autotests/*.h
+    src/*.cpp
+    src/*.h
+    examples/*.cpp
+    examples/*.h
 )
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
@@ -45,20 +46,20 @@
 include(ECMAddTests)
 
 include(ECMCheckOutboundLicense)
-file(GLOB_RECURSE ALL_SOURCE_FILES
-autotests/*.cpp
-autotests/*.h
-src/*.cpp
-src/*.h
-examples/*.cpp
-examples/*.h
+file(
+    GLOB_RECURSE ALL_SOURCE_FILES
+    autotests/*.cpp
+    autotests/*.h
+    src/*.cpp
+    src/*.h
+    examples/*.cpp
+    examples/*.h
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-
-set(KPIM_MIME_VERSION "6.5.3")
-set(KPIM_LIBKLEO_VERSION "6.5.3")
-set(KPIM_MBOX_VERSION "6.5.3")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
+set(KPIM_MBOX_VERSION "6.6.40")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
@@ -68,13 +69,25 @@
     SOVERSION 6
 )
 
-configure_file(mimetreeparserng-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h @ONLY)
+configure_file(
+    mimetreeparserng-version.h.in
+    ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h
+    @ONLY
+)
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+option(
+    BUILD_QCH
+    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+    OFF
+)
+add_feature_info(
+    QCH
+    ${BUILD_QCH}
+    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+)
 
 if(BUILD_TESTING)
-   add_definitions(-DBUILD_TESTING)
+    add_definitions(-DBUILD_TESTING)
 endif()
 
 ########### Find packages ###########
@@ -99,9 +112,13 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
-option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+option(
+    USE_UNITY_CMAKE_SUPPORT
+    "Use UNITY cmake support (speedup compile time)"
+    OFF
+)
 
 set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
 if(USE_UNITY_CMAKE_SUPPORT)
@@ -115,10 +132,10 @@
     add_subdirectory(autotests)
 endif()
 
-install(FILES
-   ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h
-   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore
-   COMPONENT Devel
+install(
+    FILES ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore
+    COMPONENT Devel
 )
 ecm_qt_install_logging_categories(
     EXPORT MIMETREEPARSERNG

## mimetreeparser 25.08.3+p24.04+vunstable+git20251206.0848

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}

=== debian/changelog ===
mimetreeparser (25.08.3+p24.04+vunstable+git20251206.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:48:24 +0000

mimetreeparser (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:49 +1000

## mimetreeparser 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.6.40")
-set(KPIM_LIBKLEO_VERSION "6.6.40")
-set(KPIM_MBOX_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.5.80")
+set(KPIM_LIBKLEO_VERSION "6.5.80")
+set(KPIM_MBOX_VERSION "6.5.80")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 g10 Code GmbH
# SPDX-FileContributor: Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(gnupg_home)
add_subdirectory(core)
add_subdirectory(widgets)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"mimetreeparser6\")
add_subdirectory(core)

if(Qt6Quick_FOUND)
    add_subdirectory(quick)
endif()

if(Qt6Widgets_FOUND)
    add_subdirectory(widgets)
endif()

=== autotests/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Christian Mollekopf <mollekopf@kolabsys.com>
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-3-Clause

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../testdata")

include(ECMAddTests)
include(${CMAKE_SOURCE_DIR}/cmake/modules/add_gpg_crypto_test.cmake)

function(add_mimetreeparser_class_unittest _name _additionalSource)
    add_executable(${_name} ${_name}.cpp setupenv.cpp ${_additionalSource})
    target_link_libraries(${_name} PRIVATE Qt::Test KPim6::MimeTreeParserCore)
    target_include_directories(${_name} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)
    add_test(NAME core-${_name} COMMAND $<TARGET_FILE:${_name}>)
endfunction()

function(add_mimetreeparser_crypto_unittest _name)
    add_executable(${_name} ${_name}.cpp ../setupenv.cpp)
    target_link_libraries(${_name} PRIVATE Gpgmepp)
    target_include_directories(
        ${_name}
        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/.. ${GPGME_INCLUDE_DIRS}
    )
    target_link_libraries(${_name} PRIVATE Qt::Test KPim6::MimeTreeParserCore)
    add_gpg_crypto_test(${_name} core-${_name})
endfunction()

add_mimetreeparser_crypto_unittest(attachmenttest)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/..)
include_directories(${GPGME_INCLUDE_DIRS})

add_executable(cryptohelpertest cryptohelpertest.cpp)
add_gpg_crypto_test(cryptohelpertest core-cryptohelpertest)
target_link_libraries(
    cryptohelpertest
    PUBLIC Qt::Test KPim6::MimeTreeParserCore Gpgmepp
)

add_executable(mimetreeparsertest mimetreeparsertest.cpp)
add_gpg_crypto_test(mimetreeparsertest core-mimetreeparsertest)
target_link_libraries(
    mimetreeparsertest
    PUBLIC Qt::Test KPim6::MimeTreeParserCore Gpgmepp
)

add_executable(gpgerrortest gpgerrortest.cpp)
target_link_libraries(
    gpgerrortest
    PUBLIC Qt::Test KPim6::MimeTreeParserCore Gpgmepp
)
add_test(NAME core-gpgerrortest COMMAND $<TARGET_FILE:gpgerrortest>)

add_executable(fileopenertest fileopenertest.cpp)
target_link_libraries(
    fileopenertest
    PUBLIC Qt::Test KPim6::MimeTreeParserCore Gpgmepp
)
add_test(NAME core-fileopenertest COMMAND $<TARGET_FILE:fileopenertest>)

## PartModel test
add_executable(partmodeltest partmodeltest.cpp)
add_gpg_crypto_test(partmodeltest core-partmodeltest)
target_link_libraries(partmodeltest Qt::Test KPim6::MimeTreeParserCore Gpgmepp)

ecm_add_test(attachmentmodeltest.cpp
    LINK_LIBRARIES KPim6MimeTreeParserCore Qt::Test Gpgmepp
    NAME_PREFIX "core-"
)

=== autotests/gnupg_home/CMakeLists.txt ===
configure_file(
    gpg-agent.conf.in
    "${CMAKE_CURRENT_BINARY_DIR}/gpg-agent.conf"
    @ONLY
)

configure_file(gpgsm.conf.in "${CMAKE_CURRENT_BINARY_DIR}/gpgsm.conf" @ONLY)

file(
    COPY ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION "${CMAKE_CURRENT_BINARY_DIR}/../"
)

=== autotests/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 g10 Code GmbH
# SPDX-FileContributor: Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../testdata")
include(${CMAKE_SOURCE_DIR}/cmake/modules/add_gpg_crypto_test.cmake)

ecm_add_test(messageviewerdialogtest.cpp
    LINK_LIBRARIES KPim6MimeTreeParserWidgets Qt::Test
    NAME_PREFIX "widgets-"
)

add_executable(messageviewertest messageviewertest.cpp ../setupenv.cpp)
add_gpg_crypto_test(messageviewertest widgets-messageviewertest)
target_link_libraries(
    messageviewertest
    PUBLIC
        Qt::Test
        KPim6::MimeTreeParserWidgets
        KPim6::MimeTreeParserCore
        KF6::WidgetsAddons
        Gpgmepp
)

=== examples/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause
find_package(Qt6Qml ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt6Quick ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KPIM_MBOX_VERSION} CONFIG REQUIRED)

add_executable(
    mimetreeparser-qml
    main.cpp
    messagehandler.cpp
    messagehandler.h
    resources.qrc
)

target_link_libraries(
    mimetreeparser-qml
    PUBLIC
        Qt::Quick
        Qt::Widgets
        Qt::Qml
        Qt::Gui
        KF6::I18n
        KPim6::MimeTreeParserCore
        KPim6::Mbox
        Gpgmepp
)
target_link_libraries(mimetreeparser-qml PUBLIC KF6::I18nQml)

=== examples/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(mimetreeparser-widgets main.cpp)

find_package(KPim6Mbox ${KPIM_MBOX_VERSION} CONFIG REQUIRED)

target_link_libraries(
    mimetreeparser-widgets
    PUBLIC Qt::Widgets KPim6::MimeTreeParserWidgets KPim6::Mbox KF6::I18n
)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSER_CORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_core_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    SOVERSION 6
)

# public dynamic library

add_library(KPim6MimeTreeParserCore)
add_library(KPim6::MimeTreeParserCore ALIAS KPim6MimeTreeParserCore)

ecm_qt_declare_logging_category(KPim6MimeTreeParserCore
    HEADER mimetreeparser_core_debug.h
    IDENTIFIER MIMETREEPARSER_CORE_LOG
    CATEGORY_NAME org.kde.pim.mimetreeparser.core
    DESCRIPTION "mimetreeparser (pim lib)"
    EXPORT MIMETREEPARSERNG
)

target_sources(
    KPim6MimeTreeParserCore
    PRIVATE
        errors.h
        attachmentmodel.h
        bodypartformatter.h
        bodypartformatterbasefactory.h
        bodypartformatterbasefactory_p.h
        cryptohelper.h
        enums.h
        fileopener.h
        htmlutils.h
        messageparser.h
        messagepart.h
        objecttreeparser.h
        partmetadata.h
        partmodel.h
        urlhandler.h
        utils.h
        attachmentmodel.cpp
        bodypartformatter.cpp
        bodypartformatter_impl.cpp
        bodypartformatterbasefactory.cpp
        cryptohelper.cpp
        fileopener.cpp
        htmlutils.cpp
        messageparser.cpp
        messagepart.cpp
        objecttreeparser.cpp
        partmodel.cpp
        urlhandler.cpp
        utils.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6MimeTreeParserCore PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPim6MimeTreeParserCore BASE_NAME mimetreeparser_core)

target_include_directories(
    KPim6MimeTreeParserCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore>"
)

target_link_libraries(
    KPim6MimeTreeParserCore
    PUBLIC KPim6::Mime KPim6::Libkleo Gpgmepp Qt::Gui
    PRIVATE KPim6::Mbox KF6::I18n
)

set_target_properties(
    KPim6MimeTreeParserCore
    PROPERTIES
        VERSION ${MIMETREEPARSERNG_VERSION}
        SOVERSION ${MIMETREEPARSERNG_SOVERSION}
        EXPORT_NAME MimeTreeParserCore
)

ecm_generate_pri_file(BASE_NAME MimeTreeParserCore
    LIB_NAME KPim6MimeTreeParserCore
    DEPS "MimeTreeParserCore"
    FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(
    TARGETS KPim6MimeTreeParserCore
    EXPORT KPim6MimeTreeParserCoreTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(MimeTreeParserCore_CamelCase_HEADERS
    HEADER_NAMES
        AttachmentModel
        CryptoHelper
        Errors
        FileOpener
        MessageParser
        MessagePart
        ObjectTreeParser
        PartModel
        PartMetaData
        Enums
        UrlHandler
    REQUIRED_HEADERS MimeTreeParserCore_HEADERS
    PREFIX MimeTreeParserCore
)

install(
    FILES ${MimeTreeParserCore_CamelCase_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore/MimeTreeParserCore
    COMPONENT Devel
)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_core_export.h
        ${MimeTreeParserCore_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore/mimetreeparsercore
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6MimeTreeParserCore_QCH
        NAME MimeTreeParserCore
        BASE_NAME KPim6MimeTreeParserCore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        # using only public headers, to cover only public API
        SOURCES ${MimeTreeParserCore_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MIMETREEPARSERCORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR
    "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MimeTreeParserCore"
)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MimeTreeParserCore_QCH
        FILE KPim6MimeTreeParserCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MimeTreeParserCoreQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMimeTreeParserCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MimeTreeParserCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MimeTreeParserCoreTargets.cmake
    NAMESPACE KPim6::
)

=== src/quick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(mimetreeparser_plugin
    URI "org.kde.pim.mimetreeparser"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES QtQuick
)

target_sources(mimetreeparser_plugin PRIVATE types.h)

target_link_libraries(
    mimetreeparser_plugin
    PRIVATE Qt::Qml KPim6::MimeTreeParserCore
)

ecm_target_qml_sources(mimetreeparser_plugin
    SOURCES
        qml/MailViewer.qml
)

ecm_target_qml_sources(mimetreeparser_plugin PRIVATE
    PATH private
    SOURCES
        qml/private/AttachmentDelegate.qml
        qml/private/Banner.qml
        qml/private/ErrorPart.qml
        qml/private/HtmlPart.qml
        qml/private/ICalPart.qml
        qml/private/MailPart.qml
        qml/private/MailPartModel.qml
        qml/private/MailPartView.qml
        qml/private/TextPart.qml
)

ecm_finalize_qml_module(mimetreeparser_plugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 g10 Code GmbH
# SPDX-FileContributor: Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSER_WIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6MimeTreeParserWidgets)
add_library(KPim6::MimeTreeParserWidgets ALIAS KPim6MimeTreeParserWidgets)

target_sources(
    KPim6MimeTreeParserWidgets
    PRIVATE
        attachmentview_p.h
        attachmentview.cpp
        messagecontainerwidget_p.h
        messagecontainerwidget.cpp
        messageviewer.h
        messageviewer.cpp
        messageviewerdialog.h
        messageviewerdialog.cpp
        messageviewerwindow.h
        messageviewerwindow.cpp
        messageviewerutils_p.h
        messageviewerutils_p.cpp
)

ecm_qt_declare_logging_category(KPim6MimeTreeParserWidgets
    HEADER mimetreeparser_widgets_debug.h
    IDENTIFIER MIMETREEPARSER_WIDGET_LOG
    CATEGORY_NAME org.kde.pim.mimetreeparser.widgets
    DESCRIPTION "mimetreeparser (pim lib)"
    EXPORT MIMETREEPARSER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6MimeTreeParserWidgets PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(
    KPim6MimeTreeParserWidgets
    BASE_NAME mimetreeparser_widgets
)

target_include_directories(
    KPim6MimeTreeParserWidgets
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets>"
)

target_link_libraries(
    KPim6MimeTreeParserWidgets
    PUBLIC Qt::Widgets KPim6::Mime
    PRIVATE
        KPim6::MimeTreeParserCore
        Qt::PrintSupport
        KF6::I18n
        KF6::ColorScheme
        KF6::CalendarCore
        KF6::WidgetsAddons
        KPim6::Libkleo
        Gpgmepp
)

set_target_properties(
    KPim6MimeTreeParserWidgets
    PROPERTIES
        VERSION ${MIMETREEPARSER_WIDGETS_VERSION}
        SOVERSION ${MIMETREEPARSER_WIDGETS_SOVERSION}
        EXPORT_NAME MimeTreeParserWidgets
)

ecm_generate_pri_file(BASE_NAME MimeTreeParserWidgets
    LIB_NAME KPim6MimeTreeParserWidgets
    DEPS "MimeTreeParserWidgets"
    FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(
    TARGETS KPim6MimeTreeParserWidgets
    EXPORT KPim6MimeTreeParserWidgetsTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(MimeTreeParserWidgets_CamelCase_HEADERS
    HEADER_NAMES
        MessageViewer
        MessageViewerDialog
        MessageViewerWindow
    REQUIRED_HEADERS MimeTreeParserWidgets_HEADERS
    PREFIX MimeTreeParserWidgets
)

install(
    FILES ${MimeTreeParserWidgets_CamelCase_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets/MimeTreeParserWidgets
    COMPONENT Devel
)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_export.h
        ${MimeTreeParserWidgets_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets/mimetreeparserwidgets
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6MimeTreeParserWidgets_QCH
        NAME MimeTreeParserWidgets
        BASE_NAME KPim6MimeTreeParserWidgets
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        # using only public headers, to cover only public API
        SOURCES ${MimeTreeParserWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MIMETREEPARSER_WIDGETS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR
    "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MimeTreeParserWidgets"
)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MimeTreeParserWidgets_QCH
        FILE KPim6MimeTreeParserWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MimeTreeParserWidgetsQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMimeTreeParserWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MimeTreeParserWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MimeTreeParserWidgetsTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets
    COMPONENT Devel
)

=== debian/changelog ===
mimetreeparser (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:03:11 +0000

mimetreeparser (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:29:29 +0000

mimetreeparser (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:58:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: mimetreeparser
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                gpg-agent <!nocheck>,
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libkf6calendarcore-dev (>= 6.14.0~),
-# remove libkf6config-dev after it's been added to libkf6colorscheme-dev
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6colorscheme-dev,
                libkf6config-dev,
-               libkf6colorscheme-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6widgetsaddons-dev (>= 6.14.0~),
-               libkleo-dev (>= 4:25.08.3~),
-               libkmbox-dev (>= 25.08.3~),
-               libkmime-dev (>= 25.08.3~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkleo-dev (>= 4:25.11.80~),
+               libkmbox-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.80~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -29,10 +29,10 @@
                qt6-declarative-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mimetreeparser
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
 Rules-Requires-Root: no
 
 Package: libmimetreeparser-data
@@ -80,9 +80,9 @@
 Package: libmimetreeparser-dev
 Architecture: any
 Multi-Arch: same
-Depends: libkf6i18n-dev (>= 6.14.0~),
-         libkmbox-dev (>= 25.08.3~),
-         libkmime-dev (>= 25.08.3~),
+Depends: libkf6i18n-dev (>= 6.6.0~),
+         libkmbox-dev (>= 25.11.80~),
+         libkmime-dev (>= 25.11.80~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
@@ -99,9 +99,7 @@
 Package: qml6-module-org-kde-mimetreeparser
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for a MIME tree parser
  This is a parser for a MIME tree and is based on KMime. The goal is
  given a MIME tree to extract a list of parts (e.g. text, html) and a

## mimetreeparser 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.5.80")
-set(KPIM_LIBKLEO_VERSION "6.5.80")
-set(KPIM_MBOX_VERSION "6.5.80")
+set(KPIM_MIME_VERSION "6.5.90")
+set(KPIM_LIBKLEO_VERSION "6.5.90")
+set(KPIM_MBOX_VERSION "6.5.90")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT

=== debian/changelog ===
mimetreeparser (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:17:29 +0000

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6config-dev,
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.11.80~),
-               libkmbox-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
+               libkleo-dev (>= 4:25.11.90~),
+               libkmbox-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -81,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.11.80~),
-         libkmime-dev (>= 25.11.80~),
+         libkmbox-dev (>= 25.11.90~),
+         libkmime-dev (>= 25.11.90~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],

## mimetreeparser 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.5.90")
-set(KPIM_LIBKLEO_VERSION "6.5.90")
-set(KPIM_MBOX_VERSION "6.5.90")
+set(KPIM_MIME_VERSION "6.6.0")
+set(KPIM_LIBKLEO_VERSION "6.6.0")
+set(KPIM_MBOX_VERSION "6.6.0")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT

=== debian/changelog ===
mimetreeparser (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:37:35 +0000

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6config-dev,
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.11.90~),
-               libkmbox-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
+               libkleo-dev (>= 4:25.12.0~),
+               libkmbox-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -81,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.11.90~),
-         libkmime-dev (>= 25.11.90~),
+         libkmbox-dev (>= 25.12.0~),
+         libkmime-dev (>= 25.12.0~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],

## mimetreeparser 25.12.0+p24.04+vstable+git20260102.1201

=== debian/changelog ===
mimetreeparser (25.12.0+p24.04+vstable+git20260102.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:01:54 +0000

mimetreeparser (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:31 +1000

## mimetreeparser 25.12.0+p24.04+vstable+git20260105.0912

=== debian/changelog ===
mimetreeparser (25.12.0+p24.04+vstable+git20260105.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:12:42 +0000

## mimetreeparser 25.12.0+p24.04+vunstable+git20251208.2025

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.40")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.20.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.6.0")
-set(KPIM_LIBKLEO_VERSION "6.6.0")
-set(KPIM_MBOX_VERSION "6.6.0")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
+set(KPIM_MBOX_VERSION "6.6.40")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
@@ -112,7 +112,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
mimetreeparser (25.12.0+p24.04+vunstable+git20251208.2025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:25:32 +0000
